/***********************************************************************/
/* example2.c 2001-02-18 */
/* */
/* Mixing C and Assembler Code */
/* */
/* This software demonstrates how C and Assembler Code could be */
/* mixed to get the optimum of both programming languages */
/* */
/* Note 1: project must include assembly file "Port1.s43" */
/* */
/* */
/* Texas Instruments Incorporated */
/* Stefan Schauer */
/***********************************************************************/
#include <MSP430x14x.h>         /* Processor specific definitions */
/* -------------------- external Function Prototypes --------------------- */
extern char get_port(char mask); /* Function Prototype for asm function */
extern void set_port(char mask); /* Function Prototype for asm function */
/***********************************************************************/
/* main */
/***********************************************************************/
int main(void)
{
  // === Initialize system ================================================
  IFG1 = 0;                     /* clear interrupt flag1 */
  WDTCTL = WDTPW + WDTHOLD;     /* stop WD */
  P1DIR = 0x01;
  while (1)                     /* Infinite loop */
  {
    char value, mask;           /* Declare local variables */
    mask = 0x80;
    value = get_port(mask);     /* Call the assembler function */
    if (value == mask)
    {
      /* Do something if value is mask */
      set_port(0x01 ^ get_port(0xFF)); /* Toggle value on Port 1.0 */
    }
  }
  return 1;
}

// === end of main =====================================================
