/***********************************************************************/
/* example3.c 2001-02-18 */
/* */
/* Mixing C and Assembler Code */
/* */
/* This software demonstrates how C and Assembler Code could be */
/* mixed to get the optimum of both programming languages */
/* */
/* Note 1: project must include assembly file "port1.s43" */
/* */
/* */
/* Texas Instruments Incorporated */
/* Stefan Schauer */
/***********************************************************************/
#include <MSP430x14x.h>         /* Processor specific definitions */
#include <stdlib.h>        
/* -------------------external Function Prototypes ------------------- */
extern void set_port_rand(void); /* Function Prototype for asm function */
/***********************************************************************/
/* main */
/***********************************************************************/
int main(void)
{
  // === Initialize system ================================================
  IFG1 = 0;                     /* clear interrupt flag1 */
  WDTCTL = WDTPW + WDTHOLD;     /* stop WD */
  P1DIR = 0xFF;                 /* all ports of P1.x are output */
  while (1)                     /* Infinite loop */
  {
    set_port_rand();            /* Move rand() value to port 1 */
  }
  return 1;
}

// === end of main =====================================================
/***********************************************************************/
/* mult */
/***********************************************************************/
unsigned long mult(unsigned int x, unsigned int y)
{
  return (x * y);               /* multiply x * y */
}

// === end of mult =====================================================
